<?php defined( 'UBB_MAIN_PROGRAM' ) or exit;
/*
  Version: 7.6
  Purpose: Top posters of all time
  Future:
*/
#
# Options:
#
# Add group numbers that you would like to include here. If it is blank, then
# you are essentially allowing ANY group. eg: $groupsIn = array(1, 4); would
# only allow admins and regular users
$groupsIn = array (); // Change this line to what you want

// See if groups apply
if (count($groupsIn) > 0) {
	$groupsIn = 'AND (ug.USER_ID=u.USER_ID AND ug.GROUP_ID IN (' .implode(',', $groupsIn). ') )';
	$groupsT = ', ' .$config['TABLE_PREFIX']. 'USER_GROUPS ug';
} else {
	$groupsIn = '';
	$groupsT = '';
}

$q = "
	SELECT u.USER_ID, u.USER_DISPLAY_NAME, up.USER_TOTAL_POSTS,
				 up.USER_NAME_COLOR, u.USER_MEMBERSHIP_LEVEL
	FROM {$config['TABLE_PREFIX']}USERS u,
			 {$config['TABLE_PREFIX']}USER_PROFILE up
			 $groupsT
	WHERE	u.USER_ID <> 1
		AND u.USER_ID = up.USER_ID
		AND	u.USER_IS_APPROVED = 'yes'
		AND u.USER_IS_BANNED <> 1
	$groupsIn
	ORDER BY up.USER_TOTAL_POSTS DESC
	LIMIT	{$config['TOP_POSTERS']}
";
$sth = $db->do_query( $q );
$users = array();
$i = 0;
while( list($uid, $username, $total, $namecolor, $memberlevel) = $db->fetch_array( $sth ) ) {
	$users[$i]['namecolor'] = $html->user_color($username, $namecolor, $memberlevel);
	$users[$i]['name'] = $username;
	$users[$i]['posts'] = $total;
	$users[$i]['uid'] = $uid;
	$i++;
}

$smarty->assign("users", $users);
$island = $smarty->fetch("island_top_posters.tpl");
lock_and_write("{$config['FULL_PATH']}/cache/top_posters.php", $island);
@chmod("{$config['FULL_PATH']}/cache/top_posters.php", 0666);
?>